Bug 217332 - gnome-session shouldn't set http_proxy environment variable if proxy requires password
gnome-session shouldn't set http_proxy environment variable if proxy requires...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks: 216686 217333
  Show dependency treegraph
 
Reported: 2006-11-27 00:22 EST by Ray Strode [halfline]
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-02 14:59:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ray Strode [halfline] 2006-11-27 00:22:18 EST
It was pointed out here:

http://bugzilla.gnome.org/show_bug.cgi?id=84315

that it's a bit of a security issue to automatically store the user's proxy
password in an environment variables.

Also, it was pointed out there that the code to do it was doing it wrong anyway.
 We should just drop the code.
Comment 1 Ray Strode [halfline] 2007-04-02 14:59:39 EDT
we dropped the code.

Note You need to log in before you can comment on or make changes to this bug.